/* 로그인 */

body {
	background: #FCFCFC;
}

.woocommerce:has(.woocommerce-MyAccount-navigation) {
	padding-top: 20px;
	display: flex;
	gap: 60px;
}

.woocommerce-notices-wrapper {	
	width: 100%;
}	

.woocommerce-error {
	margin-bottom: 0;
}

.woocommerce-account .woocommerce-MyAccount-content fieldset {
	background: transparent !important;
}

input, select, textarea {
	color: #3f3f3f;
}

input::placeholder, textarea::placeholder {
	color: #a2a2a2; 
} 

input:focus { outline: none ;  }

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
	-webkit-appearance: none;
	margin: 0;
}

/* Firefox */
input[type=number] {
	-moz-appearance: textfield;
}

select option[value=""][disabled] {
	display: none;
}

textarea {
	resize: none;
}


textarea::-webkit-scrollbar {
	display: none;
}

input[type=checkbox] {	
	-ms-transform: scale(1.4); /* IE */
	-moz-transform: scale(1.4); /* FF */
	-webkit-transform: scale(1.4); /* Safari and Chrome */
	-o-transform: scale(1.4); /* Opera */
	accent-color: #2F7CF5;
	margin-right: 4px;
	padding: 10px;
}


#customer_login {
	display: flex;
	gap: 20px;
}

#customer_login > div {
	width: 50%;
	margin-top: 70px;
	margin-bottom: 70px;
	padding: 70px 60px 50px 60px;
	background: #fff;		
	border-radius: 20px;
}

.woocommerce .woocommerce::after, .woocommerce .woocommerce::before, .woocommerce-account .woocommerce::after, .woocommerce-account .woocommerce::before {
	content: none;
	display: unset;
}

.woocommerce .col2-set::after, .woocommerce .col2-set::before, .woocommerce-page .col2-set::after, .woocommerce-page .col2-set::before {
	content: none;
	display: unset;
}

.woocommerce form .form-row {
	padding: 0;
}

#customer_login > div > h2 {
	text-align: center;
	font-size: 22px;
}

#customer_login .woocommerce-form {
	border: none;
	padding: 0;
	margin-top: 60px;
}

#customer_login p {	
	position: relative;
	text-align: center;
	margin-bottom: 50px;
}

#customer_login p.custom-input:after {
	content:'';
	width: 100%;
	position:absolute;
	bottom:0;
	left:0;
	right:0;
	background: #E8E8E8;
	height:2px;
	border-radius:10px;
	transition: all 0.2s linear;
}

#customer_login p.custom-input:focus-within:after{
	background: #2F7CF5;  
}

#customer_login p.custom-input i {
	display: flex;
	align-items: center;
	top: 0;
	bottom: 0;
	position: absolute;
	padding: 0;
	pointer-events: none;
	color: #B4B4B4;
	z-index: 1;
	font-size: 20px;
}

#customer_login input {
	border: none;		
	position: relative;	
	padding-left: 40px !important;   
	background: transparent
}

span.password-input {
	width: 100%;
	position: relative;
}

.woocommerce form .show-password-input, .woocommerce-page form .show-password-input {
	position: absolute;
	display: flex;
	top: 0;
	bottom: 0;   
	align-items: center;
	right: .5em;
	top: 0;
	cursor: pointer;
}
.woocommerce form .show-password-input::after, .woocommerce-page form .show-password-input::after {
	font-family: 'innertrip-icon';     
	font-size: 20px;
	content: "\e90d";   
	color: #B4B4B4;
}
.woocommerce form .show-password-input.display-password::after, .woocommerce-page form .show-password-input.display-password::after {
	content: "\e90e";   
}

#customer_login button[type=submit] {
	width: 85%;
	padding: 24px;
	background: #2F7CF5;
	box-shadow: 8px 8px 24px rgba(0, 0, 0, 0.12);
	border-radius: 14px;
}

#customer_login .register-wrapper {
	display: flex;
	flex-direction: column;
	gap: 30px;
}

#customer_login .register-wrapper a {
	display: flex;
	color: #878787;
	align-items: center;
	justify-content: space-between;
	padding: 5px 40px;
	box-shadow: 0px 0px 30px rgba(180, 180, 180, 0.18);
	border-radius: 14px;
	transition: background 0.2s ease-out;
}

#customer_login .register-wrapper a:hover {
	background: #E0EBFE;
	transition: background 0.2s ease-in;
}

#customer_login .register-wrapper a h3 {
	font-size: 20px;
	font-weight: 600;
	margin-bottom: 8px;
}

#customer_login .register-wrapper a span {
	font-size: 14px;		
}


#customer_login .register-wrapper .icon {
	white-space: nowrap;	
	color: #3f3f3f;
	font-size: 20px;
}

.mobile-register {
	display: none;
}

.consent-content {
	max-width: 640px;
	max-height: 640px;
	overflow-y: auto;
}


/* 회원가입 */
.wp-block-site-logo {
	margin: 50px 0 30px 0;
}

#form_register {		
	max-width:640px;
	background: #fff;
	padding: 60px 80px;
	margin: auto;		
	border: 1px solid #E8E8E8;
	border-radius: 20px;
}

#form_register h1 {
	font-size: 30px;
	color: #3f3f3f;
}

.reg-section.checkbox-container {
	margin-top: 20px;
	margin-bottom: 50px;
	padding: 18px 16px;
	border: 1px solid #E8E8E8;
	border-radius: 12px;
}

.reg-section .checkbox_group > div:first-child {
	font-size: 18px;
	border-bottom: 1px solid #E8E8E8;
	padding-bottom: 15px;
	margin-bottom: 15px;
}



#submit_register{
	font-size: 18px;
	padding: 24px;
	background: #2F7CF5;
	border-radius: 14px;
}

.text-modal {
	display: none; /* Hidden by default */
	position: fixed; /* Stay in place */
	z-index: 99; /* Sit on top */	
	top:0;
	left: 0;
	width: 100%; /* Full width */
	height: 100%; /* Full height */
	overflow: auto; /* Enable scroll if needed */
	background-color: rgb(0,0,0); /* Fallback color */
	background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}


/* The Close Button */
.close-modal {
	position: absolute;
	color: #aaaaaa;
	top:5%;
	right: 5%;	
	font-size: 28px;
	font-weight: bold;
}

.close-modal:hover,
.close-modal:focus {
	color: #000;
	text-decoration: none;
	cursor: pointer;
}

button.close {
	display: block;
	margin: auto;
}

@media (max-width: 768px) {
	.wp-block-site-logo {
		display: none;
	}

	.ast-container, .ast-container-fluid {
		padding: 0;
	}

	#form_register {		
		max-width:640px;
		background: #fff;
		padding: 50px 20px;					
		border: none;
		border-radius: 0;
	}

	#form_register h1 {
		font-size: 24px;			
	}

	.reg-section.header label {
		font-size: 16px;

	}	

	.reg-section.input-wrapper .input{
		flex-wrap: wrap;
	}

	.reg-section.input-wrapper .has-button .input {
		flex-wrap: nowrap;
	}

	.reg-section > div.has-button input {
		width: 100%;
	}

	.reg-section .checkbox_group > div:first-child {
		font-size: 16px;		
	}

	#submit_register{		
		padding: 18px;

	}
}

/*vendor 페이지*/

.empty {
	background: #fff;
	width: 100%;
	position: relative;
	margin-bottom: 60px;
	box-shadow: 0px 30px 64px rgba(28, 74, 147, 0.08);
	border-radius: 30px;
}

.empty:before{
	content: "";
	display: block;
	padding-top: 90%;
}

.empty .content {
	position: absolute;
	top:0; 
	left:0;
	bottom: 0;
	height: fit-content;
	right: 0;
	margin: auto;
	text-align: center;
}

.woocommerce .empty a.button {
	width: 40%;
	font-weight: 500;
}

.woocommerce-message, .woocommerce-info {
	border-top-color: #2A70DD;
}

.woocommerce-message::before, .woocommerce-info::before {
	color: #2A70DD;
}

.woocommerce .woocommerce-MyAccount-navigation {
	width: 25%;
	height: fit-content;
	background: #FFFFFF;
	box-shadow: -20px 30px 64px rgba(0, 0, 0, 0.08);
	border-radius: 30px 0px 0px 30px;
	padding: 40px 0  40px 40px;
}

.woocommerce .woocommerce-MyAccount-navigation ul{
	list-style: none;
	display: flex;
	flex-direction: column;
	gap: 30px;	
	font-size: 20px;
	font-weight: 500;
}

.woocommerce .woocommerce-MyAccount-navigation ul li {
	position: relative;	
	border: none;
}

.woocommerce .woocommerce-MyAccount-navigation ul li.is-active:after {
	content: "";
	width: 4px;
	background: #2F7CF5;
	height: 100%;
	top: 0;
	right: 0;
	position: absolute;
	border-radius: 20px;
}

.woocommerce .woocommerce-MyAccount-navigation ul li a {	
	display: flex;
	align-items: center;	
	color: #878787;
	padding: 10px 0;	
}


.woocommerce .woocommerce-MyAccount-navigation ul li.is-active a {	
	font-weight: 700;
	color: #2A70DD;
	background: none;
}

/* .woocommerce .woocommerce-MyAccount-navigation ul li.event a:after {
	content: "EVENT!";
	margin-left: 12px;
	font-size: 12px;
	vertical-align: middle;
	padding: 0px 8px;
	background: #2F7CF5;
	border-radius: 20px;
	color: white;
} */

.woocommerce .woocommerce-MyAccount-content {
	width: 75%;
}

.woocommerce .button-container  {
	margin-top: 60px;
	display: flex;
	gap: 20px;
}
.woocommerce a.button {
	font-size: 16px;
	text-align: center;	
	border-radius: 14px;	
	padding: 20px;
	width: 100%;
	cursor: pointer;
}

.woocommerce button.button {
	font-size: 16px;
	transition: all .2s linear;
	padding: 20px;
	width: 100%;
	border-radius: 14px;
}

.woocommerce .button.main {
	background: #2F7CF5;
	color: #ffffff;
}

.woocommerce .button.sub {
	background: #FFFFFF;
	box-shadow: 0 0 0 2px #2F7CF5 inset; 	
	color: #2F7CF5;
}

.woocommerce .button.main:hover {
	background: #FFFFFF;
	box-shadow: 0 0 0 2px #2F7CF5 inset; 	
	color: #2F7CF5;
}

.woocommerce .button.sub:hover {
	background: #2F7CF5;
}

.woocommerce-MyAccount-content .woocommerce-form, div.content-container {		
	position: relative;
	margin-bottom: 60px;
	padding: 36px;			
	background: #FFFFFF;
	box-shadow: 0px 30px 64px rgba(28, 74, 147, 0.08);
	border-radius: 30px;
}

.woocommerce-MyAccount-content .tabs-form {
	border-top-left-radius: 0;
	border-top-right-radius: 0;
}

.woocommerce-MyAccount-content h2.section-title {
	font-size: 20px;
	font-weight: 400;
	text-align: center;
	color: #515151;
	margin-bottom: 50px;
	padding: 16px;
}

.table-header {
	display: flex;
	justify-content: space-between;
	align-items: center;
	margin-bottom: 20px;
}

.table-header label {
	font-weight: 500;
	font-size: 22px;
}
.table-header a {
	border: 1px solid #2A70DD;
	border-radius: 8px;
	padding: 6px 10px;
	color: #2A70DD;
	font-weight: 500;
	font-size: 16px;
	cursor: pointer;
}

.table-header a i {
	margin-right: 5px;
}

.woocommerce-sub-vendors-table__cell-vendor-avatar img {
	width: 44px;
	height: 44px;	
	object-fit: cover;
	border-radius: 50%;
}


a.action-button {
	display: inline-flex;
	align-items: center;
	justify-content: center;
	width: 34px;
	height: 34px;
	margin: 0px 4px;
	border: solid 1px #E8E8E8;
	filter: drop-shadow(0px 4px 4px rgba(180, 180, 180, 0.08));
	border-radius: 50%;
	color: #909090;
	cursor: pointer;
}

a.action-button:not(.active):hover {
	color: #515151;
	border-color: #909090;
}

a.action-button.active {
	background: #2F7CF5;
	border: solid 1px #2F7CF5;	
	color: #ffffff;	
}



/*소속강사 리스트*/
#sub-vendor-list-table {
	border-collapse: separate;
	border-spacing: 0px 12px;
}

#sub-vendor-list-table, #sub-vendor-list-table > thead > tr > th, #sub-vendor-list-table > tbody > tr > td{
	border: none;
	text-align: center;		
	vertical-align: middle;
}

#sub-vendor-list-table > thead > tr > th {
	color: #878787;
	font-weight: 400;
}

#sub-vendor-list-table > tbody td {	
	padding: 10px 30px;
}
#sub-vendor-list-table > tbody td:first-child {	
	width: 10ch;
	padding: 10px 0px;
	border: solid 1px #E8E8E8;
	border-top-left-radius: 10px;
	border-bottom-left-radius: 10px;
}

#sub-vendor-list-table > tbody td:last-child {
	padding: 10px;
	border-top: solid 1px #E8E8E8;	
	border-right: solid 1px #E8E8E8;	
	border-bottom: solid 1px #E8E8E8;		
	border-top-right-radius: 10px;
	border-bottom-right-radius: 10px;
}

#sub-vendor-list-table > tbody td:not(:first-child):not(:last-child)  {
	border-top: solid 1px #E8E8E8;	
	border-bottom: solid 1px #E8E8E8
}


/*상품리스트*/ 

#product-list-table {
	border-collapse: separate;
	border-spacing: 0px 16px;
}

#product-list-table, #product-list-table > thead > tr > th, #product-list-table > tbody > tr > td{
	border: none;
	text-align: center;		
	vertical-align: middle;
}
#product-list-table > thead > tr > th {
	color: #878787;
	font-weight: 400;
}

#product-list-table > tbody td {	
	padding: 30px 20px;
}
#product-list-table > tbody td:first-child {
	width: 25ch;
	text-align: left;
	border: solid 1px #E8E8E8;
	border-top-left-radius: 10px;
	border-bottom-left-radius: 10px;
}

#product-list-table > tbody td:nth-child(3) {
	width: 20ch;
}

#product-list-table > tbody td:last-child {
	padding: 10px 0px;
	border-top: solid 1px #E8E8E8;	
	border-right: solid 1px #E8E8E8;	
	border-bottom: solid 1px #E8E8E8;		
	border-top-right-radius: 10px;
	border-bottom-right-radius: 10px;
}

#product-list-table > tbody td:not(:first-child):not(:last-child)  {
	padding: 30px 15px;
	border-top: solid 1px #E8E8E8;	
	border-bottom: solid 1px #E8E8E8
}

#product-list-table .product-meta {
	margin-top: 10px;
	display: flex;
	flex-wrap: wrap;
	gap: 5px;
}

#product-list-table .product-meta span {
	line-height: 1;
	color: #6C6C6C;
	padding: 4px 8px;
	border: 1px solid #909090;
	border-radius: 4px;
}

/*상품수정*/
.preview-button {
	padding-top: 60px;	
	width:100%;
	text-align: right;

}

.preview-button a {
	font-weight: 400;
	font-size: 16px;
	color: #2A70DD;
	cursor:pointer;
}

.length-indicator {
	position: absolute;
	bottom: 5px;
	right: 10px;
	font-size: 13px;
	color: #6C6C6C;
}

.sub-vendor-container{
	padding: 10px;
	display: flex;
	align-items: center;
	gap: 5px;
	list-style: none;
}
.sub-vendor-container li {
	padding: 5px 10px;
	border-radius: 50px;
	background: #F8F8F8;
}

.sub-vendor-container img {
	width: 44px;
	height: 44px;
	border-radius: 50px;
	margin-right: 5px;
	object-fit: cover;
}
.commission-wrapper {
	display: flex;
	flex-direction: column;	
	gap: 30px;
}

.commission-type {
	cursor: pointer;
	display: flex;
	justify-content: space-between;
	align-items: center;
	margin-left: 60px;
	margin-right: 60px;
	padding: 25px 60px;
	background: #FFFFFF;
	box-shadow: 0px 0px 26px rgba(180, 180, 180, 0.2);
	border-radius: 30px;
	color: #3F3F3F;
}

.commission-text {
	text-align: left;
}

.commission-text label{
	display: inline-block;
	font-weight: 600;
	font-size: 20px;
	margin-bottom: 10px;
	position: relative;
}

.commission-text span {
	pointer-events: none;
	opacity: 0;	
	background-color: rgba(0, 0, 0, 0.7);
	font-size: 14px;
	font-weight: 400;
	white-space: nowrap;
	color: #fff;
	text-align: left;
	border-radius: 12px;
	padding: 20px;
	position: absolute;
	z-index: 1;
	top: -30px;
	left: 105%;    
	transition: all 0.2s linear;

}
.commission-text span::after {	
	content: " ";	
	position: absolute;
	top: 50%;
	right: 100%; /* To the left of the tooltip */
	margin-top: -5px;
	border-width: 5px;
	border-style: solid;
	border-color: transparent #000000B2 transparent transparent;
}

.commission-text label i:hover + span {
	opacity: 1;
}

.commission-text label i{
	cursor: pointer;	
	margin-left: 10px;
	vertical-align: middle;
}


.commission-text ul{
	font-size: 14px;
	margin-bottom: 0;
	color: #6C6C6C;
}

.commission-img img {
	width: 126px;
	height: 126px;
	object-fit: contain;
	margin-right: 20px;
}

.commission-img i {
	font-size: 20px;
}

.tab {
	display: flex;	
	z-index: 1;
	position: relative;
}

.tab button {
	background: none;
	position: relative;
	display: inline-block;
	font-size: 22px;	
	padding: 22px;
	width: 25%;	
	color: #6C6C6C;		
}

.tab button:before {
	content: ''; /* To generate the box */
	position: absolute;
	top: 0; right: 0; bottom: 0; left: 0;
	z-index: -1;
	border-bottom: none;
	border-radius: .5em .5em 0 0;
	background: #E8E8E8;
	transform: scale(1, 1.08) perspective(.5em) rotateX(0.8deg);
	transform-origin: bottom left;
}

.tab button.active {
	color: #3F3F3F;
	font-weight: 500;
}

.tab button.active::before {

	background: #fff;
}

.tabcontent:not(:first-child) {
	display: none;	
}

.input-wrapper .grid {
	display: grid;		
	gap: 10px;
}

.grid.column-2 {
	grid-template-columns: 1fr 1fr;
}

.grid.column-3 {
	grid-template-columns: 1fr 1fr 1fr;
}

.grid.column-6 {
	grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
}

.checkbox-wrapper {
	display: flex;
	border: 1px solid #E8E8E8;
	border-radius: 8px;
	padding: 0px 0.75em;
	gap: 10px;		
}

.checkbox-wrapper label {
	width: 100%;
	padding: 0.75em 0px;
	margin-bottom:0;
}

.checkbox-wrapper.item label, .checkbox-wrapper .input-text {
	font-size: 16px;
	line-height: 1.6em;
	display: flex;
	align-items: center;
}

button.add-item, button.add-row, a.add-sub-vendor  {
	background: transparent;
	color: #2F7CF5;
	font-size: 16px;
	line-height: 1.6em;
	padding: 0;
	margin-bottom: 5px;
	font-weight: 500;
	cursor: pointer;
}

.grid.column-3.item-wrapper:not(:last-of-type) {
	border-bottom: solid 1px #E8E8E8;
	padding-bottom: 30px;
	margin-bottom: 20px;
}

.image_container {		
	text-align: center;
	width: 100%;	
	border: 1px solid #E8E8E8;
	border-radius: 8px;	
	display: table-cell;
	vertical-align: middle;
	position: relative;
}

.image_container:last-child {
	cursor: pointer;
}

.image_container:after {
	content: "";
	display: block;
	padding-bottom: 100%;
}

.image_container .content {
	position: absolute;
	color: #3f3f3f;
	display: flex;		
	justify-content: center;
	align-items: center;
	flex-direction: column;
	gap: 10px;
	width: 100%;
	height: 100%;
	font-size: 13px;
	font-weight: 500;
}

.image_container .content span {
	line-height: 1.1;
}

.image_container .content i {		
	font-size: 26px;
}

.image_container.pdf .content i {		
	color: #f40f02;
}

.image_container.image .content:hover img {
	opacity: 0.3;		
}

.image_container.image .content:hover .delete {
	display: block;
}

.image_container .delete {
	display: none;
	position: absolute;
	width: fit-content;
	height: fit-content;
	font-size: 24px;
	z-index: 2;
	color: black;
	bottom: 0;		
	right: 0;
	left: 0;
	top: 0;
	margin: auto;		
	cursor: pointer;		
	padding: 10px;
}

.image_container img{
	height: 100%;
	width: 100%;
	border-radius: 8px;
	object-fit: cover;
}

.grid.curriculum-category {
	padding-top: 80px;
	gap: 50px;		
}

.curriculum-category > div {
	background: #FFFFFF;
	border: 1px solid #EAF2FE;
	box-shadow: 6px 6px 40px rgba(191, 214, 252, 0.36);
	border-radius: 18px;
	position: relative;
}

.curriculum-category > div:after {
	content: "";
	display: block;
	padding-bottom: 100%;		
}

.curriculum-category .content {
	position: absolute;		
	display: flex;		
	justify-content: center;
	align-items: center;
	flex-direction: column;
	gap: 10px;
	width: 100%;
	height: 100%;		
}

.curriculum-category label {
	text-align: center;
	display: block;
	font-weight: 500;
	font-size: 18px;
	margin-top: 10px;
}

.create-curriculum{
	cursor: pointer;
}

.create-curriculum img {
	transition: all 0.1s ease-in;	
}

.create-curriculum:hover img {
	transform: scale(1.1);
}

.curriculum-table .reset-curriculum {
	margin-bottom: 30px;
}

.curriculum-table label.curriculum-label{
	font-size: 20px;
	color: #3F3F3F;
}

#curriculum-table {
	margin: 0;	
	color: #3f3f3f;
}

#curriculum-table, #curriculum-table > thead > tr > th, #curriculum-table > tbody > tr > td {
	border: 1px solid #E8E8E8;
	border-collapse: collapse !important;
}

#curriculum-table tbody td {
	padding: 0px;
	position: relative;	
}

#curriculum-table th {
	padding: 15px 0px;
	font-weight: 700;
	background: #F8F8F8;
}

.curriculum-table table td:first-child {
	width: 10%;
}

.curriculum-table input.total-duration {
	width: 100px !important;
	padding: 0.25em;
}

.curriculum-table input[type="number"] {
	text-align: center;
}

.curriculum-table table textarea, .curriculum-table table input {
	padding:14px 10px;
	vertical-align: middle;	
	border: none !important;
	font-size: 15px;
}

.curriculum-table table i {
	position: absolute;    
	top: 0;
	bottom: 0;
	height: fit-content;
	opacity: 0.4;
	cursor: pointer;
	margin: auto;
}

.curriculum-table table i:hover {
	opacity: 1;
}

.curriculum-table table i.move-row {
	left: -25px;
}

.curriculum-table table i.remove-row {
	right: -25px;
}

.calculator {
	padding: 18px;
	background: #f8f8f8;
	border-radius: 12px;		
	display: flex;
	gap: 20px;
	flex-direction: column;

}

.calculator .grid label {
	width:100%;
	padding: 0.75em;
	background: #E8E8E8;
	border-radius: 8px;
	margin-bottom: 0;
	font-size: 16px;	
	display: flex;
	align-items: center;
}

div.tip {
	margin-top: 4px;
	display: flex;
	/* 	flex-wrap: wrap;	 */
	color: #878787;
	font-size: 13px;	
	letter-spacing: -0.02em;
}

div.tip:before {
	content: "\e91f";
	font-family: "innertrip-icon"; 	
	margin-right: 5px;
}

.discounted {
	text-decoration: line-through;
}

.input-text.border {		
	grid-column: 1/3;
}

.item-wrapper {
	position: relative;
}

.item-wrapper i.delete-item {
	position: absolute;
	right: 15px;
	top:0;
	bottom:0;
	height: fit-content;
	opacity: 0.4;
	cursor: pointer;
	margin: auto;
}


.item-wrapper i.outside {
	right: -25px;
}

.item-wrapper i:hover {
	opacity: 1;
}


.input-wrapper {
	width: 100%;
	margin: auto;		
	display: flex;
	flex-direction: column;
	gap: 20px;
}


.input-wrapper .header {
	display: flex;
	justify-content: space-between;
}

.header label {
	font-size: 18px;
	margin-bottom: 12px;
	color: #515151;
	font-weight:400;
}	

.input-wrapper label {
	color: #3f3f3f;
}

.input-wrapper input:not([type=checkbox]), .input-wrapper select, .input-wrapper textarea, .sub-vendor-container{
	width: 100%;
	border: 1px solid #E8E8E8;	
	border-radius: 8px;	
}

.sub-vendor-container {
	margin: 0;
	min-height: 52px;
}

.input-wrapper input, .input-wrapper textarea  {
	line-height: 1.6em;
	font-size: 16px;
}

.input-wrapper select {		
	line-height: 1.5em;
	font-size: 16px;
}

.input-wrapper .input{
	display: flex;	
	gap: 10px;
	position: relative;
}

.has-button button, .has-button a.button {
	background: #2F7CF5;
	border-radius: 8px;
	width: 30%;
	cursor: pointer;
	padding: 20px;	
}

.has-button a.button:hover {
	background: #2F7CF5;
}

button.confirmed {
	background: #E8E8E8;

}

span.error, label.error {
	font-size: 0.9rem;
	color: #FF5038;
}

.input-wrapper.checkbox-container {
	margin-top: 20px;
	margin-bottom: 50px;
	padding: 18px 16px;
	border: 1px solid #E8E8E8;
	border-radius: 12px;
}

.checkbox {
	width: 100%;
	margin: 5px auto;
	position: relative;
	display: block;
}

/* .checkbox input[type="checkbox"] {
width: auto;
opacity: 0.00000001;
position: absolute;
left: 0;
margin-left: -20px;
}
.checkbox span {
font-size: 0.8rem;
display: inline-block;
vertical-align: middle;
}

.checkbox label {
position: relative;
}
.checkbox label:before {
content: '';
position: absolute;
left: 0;
top: 0;		
width: 22px;
height: 22px;
transition: transform 0.28s ease;
border-radius: 50%;
border: 2px solid #ccc;
}
.checkbox label:after {
content: '';
display: block;
width: 10px;
height: 5px;
border-bottom: 2px solid #7bbe72;
border-left: 2px solid #7bbe72;
-webkit-transform: rotate(-45deg) scale(0);
transform: rotate(-45deg) scale(0);
transition: transform ease 0.25s;
will-change: transform;
position: absolute;
top: 8px;
left: 6px;
}
.checkbox input[type="checkbox"]:checked ~ label::before {
border: 2px solid #7bbe72;
color: #7bbe72;
}

.checkbox input[type="checkbox"]:checked ~ label::after {
-webkit-transform: rotate(-45deg) scale(1);
transform: rotate(-45deg) scale(1);
} */

/* .checkbox label {
min-height: 22px;		
padding-left: 30px;
margin-bottom: 0;
font-weight: normal;
cursor: pointer;
vertical-align: sub;
}
.checkbox label span {
position: absolute;	
top: 50%;
-webkit-transform: translateY(-50%);
transform: translateY(-50%);
}
.checkbox input[type="checkbox"]:focus + label::before {
outline: 0;
} */

#submit_register{
	font-size: 18px;
	padding: 24px;
	background: #2F7CF5;
	border-radius: 14px;
}


@media (max-width: 767px) {
	.wp-block-site-logo {
		display: none;
	}

	.ast-container, .ast-container-fluid {
		padding: 0;
	}

	#form_register {		
		max-width:640px;
		background: #fff;
		padding: 50px 20px;					
		border: none;
		border-radius: 0;
	}

	#form_register h1 {
		font-size: 24px;			
	}

	.header label {
		font-size: 16px;

	}	

	.input-wrapper > div.has-button input {
		width: 75%;
	}
	.input-wrapper > div.has-button button {
		width: auto;
	}

	.input-wrapper .checkbox_group > div:first-child {
		font-size: 16px;		
	}

	#submit_register{		
		padding: 18px;

	}

}

.summary-tip span{
	display: inline-block
}


.summary-tip:before {
	content: "\e927";
	font-family: 'innertrip-icon';
	display: inline-block;
	vertical-align: top;
}

warning {
	color: #FF5038;
	width: 100%;
}

.notice-link {
	float:right;
	color: #2A70DD;
	font-weight: 500;
}

.product-preview {
	z-index: 99;
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	/* 	overflow: auto; */
	background-color: rgba(0, 0, 0, 0.6);      
	overflow: auto;
	display: none;
}

#product-preview {	
	position: relative;
	background: white;
	margin: auto;
	max-width: 1280px;	
}

#product-preview .product-content {
	padding: 20px 40px;
}

.product-preview .close {
	position: sticky;
	top: 0;
	float: right;
	width: 0;
	margin-left: -30px;
	margin-right: 30px;
	font-size: 30px;
	font-weight: bold;
	color: black;
	cursor:pointer;
}

.modal-content .button-container {
	display: grid; 
	grid-template-columns: 1fr 1fr 1fr;
	gap:30px;	
}

.modal-content button {
	padding: 10px 30px;
	display: block;
	width: 100%;
	line-height: 2;
	font-size: 18px;
	font-weight: 600;
	color: #2663c4;
	background: #e0ebfe;
	border-radius: 8px;
}

#bank_modal {
	display: none;
	position: fixed;
	z-index: 99999;
	top:0;
	left: 0;
	justify-content:center;
	align-items:center;
	width: 100%;	
	height:100%;
	/* 	overflow: auto; */
	background-color: rgba(0, 0, 0, 0.6);        
}

#bank_modal .modal-content {   	
	max-height: 100vh;
	position: relative;
	height: fit-content;
	background: white;
	padding: 60px;	
	overflow-y: auto;	
}

#bank_modal .modal-content .close {
	position: absolute;
	top: 5%;
	right:5%;
	font-size: 25px;
	font-weight: bold;
	cursor:pointer;
}

@media (max-width: 1199px) {
	.site-content .ast-container {
		padding-left:64px;
		padding-right: 64px;
	}

	.woocommerce:has(.woocommerce-MyAccount-navigation) {
		flex-direction: column;
	}
	.woocommerce .woocommerce-MyAccount-navigation {
		width: 100%;
		padding: 20px;
		border-radius: 20px;
	}	

	.woocommerce .woocommerce-MyAccount-content {
		width: 100%;
	}

	.woocommerce .woocommerce-MyAccount-navigation ul{	
		flex-direction: row;
		justify-content: center;
		font-size: 16px;
		font-weight: 500;
	}

	.woocommerce .woocommerce-MyAccount-navigation ul li {
		border: 1px solid var(--ast-border-color);
		border-radius: 0;
		padding: 0px;
	}

	.woocommerce .woocommerce-MyAccount-navigation ul li.is-active:after {
		content: "";
		width: 4px;
		background: #2F7CF5;
		height: 100%;
		top: 0;
		right: 0;
		position: absolute;
		border-radius: 20px;
	}

	.woocommerce .woocommerce-MyAccount-navigation ul li a {	
		display: flex;
		align-items: center;	
		color: #878787;
	}


	.woocommerce .woocommerce-MyAccount-navigation ul li.is-active a {	
		font-weight: 700;
		color: #2A70DD;
	}

	.woocommerce table.shop_table td.download-file, .woocommerce table.shop_table td.woocommerce-orders-table__cell-order-actions, .woocommerce-page table.shop_table td.download-file, .woocommerce-page table.shop_table td.woocommerce-orders-table__cell-order-actions {
		display: flex;
	}

	.woocommerce a.button {	
		float: right;
		padding: 15px 20px;
		display: flex;
		justify-content: center;
		align-items: center;
	}

	#customer_login {
		flex-wrap: wrap;			
		margin:50px 0;
	}

	#customer_login > div {
		width: 100%;
		padding-right: 15%;
		padding-left: 15%;
		margin: auto;
	}

	#customer_login button {
		width: 100%;			
	}

}

@media (max-width: 767px) {
	.site-content .ast-container {
		padding-left:20px;
		padding-right: 20px;
	}

	#customer_login {
		margin: 30px 0;
	}

	#customer_login > div {			
		padding:50px 30px;		
	}

	#customer_login > div.register{
		display: none;
	}

	#customer_login .woocommerce-form {
		margin-top: 50px;
		margin-bottom: 0;
	}

	p.mobile-register {
		margin-top: 30px;
		margin-bottom: 0;
		display: flex;
		justify-content: center;
		gap: 20px;
	}

	.mobile-register span {
		border-right: 1px solid #E8E8E8;
		border-left: 1px solid #E8E8E8;
	}
	.mobile-register a {
		font-weight: 500;
		font-size: 16px;
		color: #3F3F3F;
	}

}


/*고객계정 페이지*/



.order-list {
	list-style: none;
	margin: 0 -30px;	
	display:grid;
	gap: 20px;
}

.order-list > li {
	border-radius: 14px;	
	padding: 20px 30px;
	box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.06);
}

.order-header {
	line-height: 28px;
	margin-bottom: 10px;
	display: flex;
	justify-content: space-between;
}

.order-header .order-number {
	font-weight: bold;
}

.order-header .order-actions {
	font-size: 18px;
	font-weight: 500;
	display: flex;
	gap: 10px;
}

.order-header .order-actions a {
	padding: 0px 6px;
}

.order-summary {
	padding: 20px;
	display: grid;	
	grid-template-columns: 1fr 2fr 2fr fit-content(1px);
	row-gap: 15px;
	column-gap: 15px;
	border-radius: 8px;
	border: 1px solid #E8E8E8;
}

.order-summary.vendor {
	grid-template-columns: 1fr 2fr 2fr;
}

.order-summary > div {
	display:flex;
	gap: 4px;
}
.order-summary label {
	font-weight: 600;
}

span.order-status{
	display: block;
	font-weight: 600;	
	height: fit-content;
	padding: 0 8px;
	border-radius: 10px;
	color: #fff;
	background-color: #b8b8b8;
}

.order-summary .view-order {
	grid-row: span 2;	
	align-items: center;
}

.order-status.reservation  {
	background-color: #2A70DD;
}
.order-status.consulting {
	background-color: #b57bff;
}
.order-status.available  {
	background-color: #fcb414;
}
.order-status.confirmed  {
	background-color: #839dc1;
}
.order-status.completed  {
	background-color:#07b051;
}
.order-status.pending {
	background-color: #839dc1;
}
.order-status.canceled {
	background-color: #d52027;
}


/*친구초대*/

.invite-container {
	display: flex;
	justify-content: space-between;
	align-items: center;
	position: relative;
	margin-bottom: 20px;
	padding: 20px 30px;
	background: #FFFFFF;
	box-shadow: 0px 30px 64px rgba(28, 74, 147, 0.08);
	border-radius: 30px;
}

.invite-container img {
	margin-right: 10px;
}

.invite-container label {
	font-weight: 700;
	font-size: 18px;
}

.invite-container button {
	color: white;
	font-size: 18px;
	font-weight: bold;
	background: #2F7CF5;
	padding: 15px 25px;
	border-radius: 10px;
}

.invite-summary {
	display: flex;
	align-items: center;
	gap: 20px;
	text-align: center;
}

.invite-summary label {
	font-weight: 500;
	font-size: 15px;
	display: block;
}

.invite-summary span {
	font-size: 18px;
}

.invite-summary hr {
	height: 30px;
	width: 1px;
	margin-bottom: 0;
}

.invite-summary .benefits {
	color: #2F7CF5;
	font-weight: bold;
}

@media (max-width: 767px) {
	.invite-container {
		padding: 20px;
		flex-direction: column;
		gap: 15px;		
	}

	.invite-container .header {
		width: 100%;
		text-align: left;
	}

	.invite-summary {
		width: 95%;
		justify-content: space-between;
		text-align: left;
	}

	.invite-container button {
		width: 100%;
	}
}



/*주문상세*/

.entry-content section.order-details {
	padding: 30px;
	border-radius: 20px;
	margin-bottom: 30px;
}

.order-details.customer-info {	
	background: #F4F4F4;	
}

.order-details.workshop-info {
	border: 1px solid #E8E8E8;
}

.entry-content section.order-details.program-info{
	padding-left: 0;
	padding-right: 0;
}

.order-details h3 {
	margin-bottom: 10px;
	font-size: 1.2em;
	font-weight: 500;
}

.order-details h3 span {
	font-size: 1rem;
}

.order-details .header{
	display: flex;
	align-items: flex-start;
	justify-content: space-between;
}

.order-details .header a {
	font-size: 1.2rem;
	font-weight: 600;
}

.order-details hr {
	height: 2px;
	border-radius: 10px;
	background: #e8e8e8;
	margin:20px -10px 20px -10px;
}

.order-details table, .order-details td, .order-details tr, .order-details th {
	margin: 0;
	border: none;
	font-size: 16px;	
	vertical-align: top;
}

.order-details td, .order-details th {
	padding: 5px;
}

.order-details table td.label {
	white-space: nowrap;
	width: 15%;
	font-weight: 600;
}
.order-details table td.value {
	width: 35%;
}

.order-details table.wide td.value {
	width: 85%;
}

.order-details table td.thumbnail {
	width: 100px;
	vertical-align: middle;
}

.order-details table td.thumbnail img {	
	border-radius: 10px;
}

.order-details .wc-item-meta {	
	font-size: 15px;
	display: grid;
	grid-template-columns: 1fr 1fr;	
	margin: 8px 0 0 1.5em;
}

.order-details .wc-item-meta li {
	width: 100%;
	position: relative;
}

.order-details .wc-item-meta li.remarks {
	grid-column: span 2;
}

.order-details .wc-item-meta li.remarks span{
	display: inline-block;
}

.order-details .wc-item-meta li.high-light strong{
	background: #fff37f;
}

.order-details .toggle {
	padding: 5px;
	cursor: pointer;
	font-weight: 600;
	line-height: 1;
}

.order-details table.programs {
	border-collapse: collapse;
	margin-top: 10px;
}

.order-details table.programs td {
	padding: 15px 10px;
	border-top: solid 1px #F4F4F4;
	border-bottom: solid 1px #F4F4F4;
}

.order-details.program-info a.product-name {
	font-weight: 600;
}

.order-details table.other-items {
	border-spacing: 10px;
}

.order-details table.other-items th {
	text-align: left;
}

.order-details table.other-items td {
	padding: 8px 10px;
	border-radius: 8px;
	border: 1px solid #E8E8E8;
}

.order-details table.other-items td.label {
	display: none;
}

hr.before-totals {
	margin: 30px 0px;
	border-radius: 20px;
	background: #F4F4F4;
	height: 6px;
}

.order-footer {
	display: flex;
}
.order-footer p {
	margin-top: 5px;
	width: 60%;
	font-size: 0.925rem;
	margin-bottom: 0;
}

.order-footer table {
	width: 40%;
}

.order-details table.totals {
	width: 50%;
	margin-left: auto;
	height: fit-content;
}
.order-details table.totals th {
	text-align: left;
}
.order-details table.totals td {
	text-align: right;
	font-weight: bold;
}

div.order-details-actions {
	display: flex;	
	margin-bottom: 30px;
	justify-content: flex-end;
	gap: 15px;
}

div.order-details-actions a.button {
	width: 20%;
	background: #fff;
	border: 1px solid #2F7CF5;
	color: #2F7CF5;	
}

div.order-details-actions a.action-invoice {
	float: left;
	margin-right: auto;
	background: #fff;
	border: 1px solid #2F7CF5;
	color: #2F7CF5;	
}

div.order-details-actions a.action-invoice:hover {
	background: #fff;
	border: 1px solid #2F7CF5;
	color: #2F7CF5;
}

div.order-details-actions a.action-pay, div.order-details-actions a.action-pay:hover {		
	background: #2F7CF5;
	border: 1px solid #2F7CF5;
	color: #fff;
}

div.order-details-actions a.action-cancel, div.order-details-actions a.action-cancel:hover {	
	background: #f4f4f4;
	border: 1px solid #f4f4f4;
	color: #3a3a3a;
}

/*북마크*/ 
.woocommerce table.cart img, .woocommerce-page #content table.cart img, .woocommerce-page table.cart img {
	width: 150px;
	max-width: 150px;
	border-radius: 12px;
	object-fit: cover;
}

.woocommerce-js .woocommerce table.shop_table, .woocommerce-cart-form table {	
	border: solid 2px #f4f4f4;
	border-right: none;
	border-left: none;
}
.woocommerce-cart-form table.cart td, .woocommerce-cart-form table.cart td {
	border: none;
	border-bottom: solid 2px #f4f4f4;
	padding: 20px 0;
}
.woocommerce-js table.shop_table tbody:last-child tr:last-child td {
	border-bottom: 0;
}

.woocommerce-cart-form table td.product-thumbnail {
	width: 1%;
}

.woocommerce-cart-form table td.product-name {
	padding: 20px;
}

.woocommerce-cart-form table td.product-name a {
	margin-top: 4px;
	display: block;
	font-size: 18px;
	font-weight: 500;
	color: #3f3f3f;
}
.woocommerce-cart-form table td.product-action {
	text-align: right;
	white-space: nowrap;
}
.woocommerce-cart-form table td.product-action .remove {
	margin-left: 15px;
}

.woocommerce-cart-form .ast-woo-product-category {
	display: inline-block;
	padding: 4px 8px;
	border: 1px solid #909090;
	color: #6c6c6c;
	border-radius: 4px;
	font-size: 14px;
	font-weight: 400;    
	line-height: 14px;
}


/*강사 진행일정*/

.schedule-filter {	
}
.schedule-filter label {
	font-size: 1.1em;
	font-weight: 600;
}

.schedule-filter .period {
	display: flex;
	align-items: center;
	width: fit-content;
	margin: auto;
	position: relative;
	text-align: center;
}

.flatpickr-calendar {
	width: 300px !important;
}


.schedule-filter .info-settlement {
	position: absolute; 
    box-shadow: inset 0 -1rem 0 #fce041;
    right: 30px;
    top: 15px;
	font-size: 1.2rem;
	font-weight: 600;
}

.schedule-filter .period input {
	padding:0.75em;
	text-align: center;
	font-size: 1.7rem;
	font-weight: bold;
	width: 200px;
	border: none;	
}

.schedule-filter .period i {
	font-size: 1.5em;
	padding: 12px 12px;
	cursor: pointer;
}

.schedule-content .summary {
	display: flex;
	justify-content: space-between;
	align-items: center;
	margin-bottom: 20px;
}

.schedule-content .summary label {
	font-size: 1.1em;
	font-weight: 600;
}

.schedule-content .summary select {
	border: 1px solid #909090;
	border-radius: 8px;	
	background-position: 90% 50%
}

.woocommerce-help-tip {
	margin-left: 5px;

}

.woocommerce-help-tip::after {
	font-family: "Font Awesome 5 Free";	
	content: "\f059";
	font-weight:600;
	cursor: help;
}

.woocommerce-help-tip.checked::after {
	content: "\f058";
	color: #689f38;
}

#tiptip_holder {
	display: none;
	z-index: 8675309;
	position: absolute;
	top: 0;
	pointer-events: none;
	left: 0
}

#tiptip_holder.tip_top {
	padding-bottom: 5px
}

#tiptip_holder.tip_top #tiptip_arrow_inner {
	margin-top: -7px;
	margin-left: -6px;
	border-top-color: #333
}

#tiptip_holder.tip_bottom {
	padding-top: 5px
}

#tiptip_holder.tip_bottom #tiptip_arrow_inner {
	margin-top: -5px;
	margin-left: -6px;
	border-bottom-color: #333
}

#tiptip_holder.tip_right {
	padding-left: 5px
}

#tiptip_holder.tip_right #tiptip_arrow_inner {
	margin-top: -6px;
	margin-left: -5px;
	border-right-color: #333
}

#tiptip_holder.tip_left {
	padding-right: 5px
}

#tiptip_holder.tip_left #tiptip_arrow_inner {
	margin-top: -6px;
	margin-left: -7px;
	border-left-color: #333
}

#tiptip_content,.chart-tooltip,.wc_error_tip {
	color: #fff;
	font-size: .9em;	
	background: #333;
	text-align: center;
	border-radius: 3px;
	padding: .618em 1em;
	box-shadow: 0 1px 3px rgba(0,0,0,.2)
}

#tiptip_content code,.chart-tooltip code,.wc_error_tip code {
	padding: 1px;
	background: #888
}

#tiptip_arrow,#tiptip_arrow_inner {
	position: absolute;
	border-color: transparent;
	border-style: solid;
	border-width: 6px;
	height: 0;
	width: 0
}



/* .order-details .details-wrapper {
display: grid;
column-gap: 60px;
font-size: 16px;
row-gap: 5px;
grid-template-columns: 1fr 1fr;
}
*/

@media (max-width: 1199px) {

	.woocommerce:has(.woocommerce-MyAccount-navigation) {
		padding-top: 0;
	}

	.woocommerce-MyAccount-navigation {
		display: none;
	}

	.woocommerce-MyAccount-content .woocommerce-form, div.content-container {
		padding: 40px 20px;

	}	


	.order-list {
		margin: 0 ;
	}

	.order-list > li {
		padding: 20px;
	}


	.entry-content section.order-details {
		padding: 20px;
	}

	.order-details.customer-info tr, .order-details.workshop-info tr {
		display: flex;	
		flex-wrap: wrap;
	}

	.order-details table td.label {
		width: 20%;
	}

	.order-details table td.value, .order-details table.wide td.value {
		width: 80%;
	}

	.woocommerce-js table.shop_table td, .woocommerce-page table.shop_table td {
		border-top: 0;
	}	

	/*북마크*/

	.woocommerce table.shop_table_responsive tr td::before, .woocommerce-page table.shop_table_responsive tr td::before {
		all: initial;
	}	
	.woocommerce-cart-form table tr {
		display: grid !important;
		grid-template-columns: 1fr 1fr;
	}
	.woocommerce-cart-form table td.product-thumbnail {
		width: 1%;
		border-bottom: 0;
	}
	.woocommerce-cart-form table td.product-name {
		padding-right: 0;
		border-bottom: 0;
	}
	.woocommerce-cart-form table td.product-name a {		
		font-size: 16px;		
	}
	.woocommerce-cart-form table td.product-action {
		grid-column: span 2;
	}
}

@media (max-width: 767px){	
	.woocommerce-MyAccount-content .woocommerce-form, div.content-container {		
		margin: 0 -20px;
	}	

	.grid.column-2 {
		grid-template-columns: 1fr;
	}	
	/*주문목록*/
	.order-header 
	{
		padding-bottom: 10px;
		flex-wrap: wrap;
		border-bottom: solid 1px #e8e8e8;
	}

	.order-header .order-actions {		
		width: 100%;
		justify-content: flex-end;
		font-size: 15px;
	}

	.order-summary {
		padding: 0;
		row-gap: 4px;
		grid-template-columns: 1fr;
		border: none;
	}
	.order-summary .view-order {
		display: none;
	}

	/*주문상세*/

	.order-details table td {
		font-size: 14px;
	}

	.order-details table td.label {
		width: 30%;
	}

	.order-details table td.value, .order-details table.wide td.value {
		width: 70%;
	}

	.order-details h3 {
		font-size: 16px;
	}

	.order-details .header a {
		display: none;
	}		
	.order-details .wc-item-meta {
		font-size: 13px;
		grid-template-columns: 1fr;
	}

	.other-items tr {
		display: flex;	
		flex-wrap: wrap;
		border-bottom: solid 1px #f4f4f4;		
	}

	.other-items th {
		display: none;
	}

	.order-details table.other-items {
		border-spacing: 0;
	}

	.order-details table.other-items td {
		border: none;
		padding: 5px;
	}

	.order-details table.other-items td.label {
		display: block;
	}

	.order-details table.other-items td:not(.label) {
		width: 70%;
	}

	.order-footer {
		flex-wrap: wrap;
		flex-direction: column-reverse;
	}

	.order-details table.totals, .order-footer p {
		width: 100%;		
	}

	.order-footer p {
		margin-top: 30px;
		text-align: center;
	}

	div.order-details-actions a.button {
		padding: 15px 50px;
	}

	.order-details .wc-item-meta li.remarks {
		grid-column: unset;
	}

	/*vendor*/

	.schedule-content .summary {
		flex-wrap: wrap;
		row-gap: 10px;
		justify-content: end;
	}

	.schedule-content .summary label {
		width: 100%;
		text-align: center;
	}

	.order-summary.vendor {
		grid-template-columns: initial;
	}

	.order-details table td.thumbnail  {
		display: none;
	}

	/*북마크*/
	.woocommerce #content table.cart .button, .woocommerce-page #content table.cart .button {
		width: auto;
	}
}

#marketing_modal .modal-content {
	width: 700px;
	padding: 30px;
}

.woocommerce-pagination {
	display: flex;
	justify-content: center;	
}

.woocommerce-pagination a.button {
	width: auto ;
	color: var(--e-global-color-accent);
}
